
package org.netbeans.modules.asm.model.cpu;

import java.util.List;
import org.netbeans.modules.asm.model.*;

import org.netbeans.modules.asm.model.lang.instruction.Instruction;
import org.netbeans.modules.asm.model.lang.operand.Operand;


public interface StateFactory {
    State getStateAfter(Instruction instr, List<Operand> ops);
    State mergeStates(State state);
}
