/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.debug;

import org.netbeans.modules.regsup.auted.VisualAutomatonContainer;

/**
 *
 * @author  Petr Slegr
 * @version 19.04.02
 */
public class RexDebuggerAdapter implements RexDebuggerListener {
    
    /** Creates a new instance of RexDebuggerAdapter */
    public RexDebuggerAdapter () {
    }
    
    public void breakpointApplied (RexDebuggerEvent e) {
    }
    
    /**
     */
    public void characterReaded (RexDebuggerEvent e) {
    }
    
    /**
     */
    public void characterUnReaded (RexDebuggerEvent e) {
    }
    
    /** Invoked when container is found between next nodes
     */
    public void containerReached (VisualAutomatonContainer container, RexDebuggerEvent event) {
    }
    
    /** Invoked when input has not been completely read but next move it is not
     * possible.
     */
    public void hanged (RexDebuggerEvent e) {
    }
    
    /** Invoked when input has been read and a final state has been reached
     */
    public void inputAccepted (RexDebuggerEvent e) {
    }
    
    /** Invoked after debugger has started and is ready.
     */
    public void started (RexDebuggerEvent e) {
    }
    
    /** Invoked when SUSPEND breakpoint is applied
     */
    public void suspended (RexDebuggerEvent e) {
    }

    public void containerStepedIn (VisualAutomatonContainer container, RexDebuggerEvent event) {
    }
    
    public void containerStepedOut (VisualAutomatonContainer container, RexDebuggerEvent event) {
    }
    
    /**
     */
    public void stageChanged (RexDebuggerEvent e) {
    }
    
}
