
package org.netbeans.modules.asm.model.lang.impl;

import java.util.List;
import org.netbeans.modules.asm.model.lang.BitWidth;
import org.netbeans.modules.asm.model.lang.Register;

public final class FakeRegister implements Register {
    
    final private BitWidth width;
    final private Register parent;
    
    public FakeRegister(BitWidth width, Register parent) {
        this.parent = parent;
        this.width = width;        
    }    
    
    public FakeRegister(BitWidth width) {
        this(width, null);
    }

    public BitWidth getBitWidth() {
        return width;
    }

    public List<Register> getChildren() {
        return  null;        
    }

    public Register getDirectParent() {
        return parent;
    }

    public String getName() {
        return "Fake Register";
    } 
}
