/*
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License (the License). You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the License at http://www.netbeans.org/cddl.html
 * or http://www.netbeans.org/cddl.txt.
 * 
 * When distributing Covered Code, include this CDDL Header Notice in each file
 * and include the License file at http://www.netbeans.org/cddl.txt.
 * If applicable, add the following below the CDDL Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * The Original Software is NetBeans. The Initial Developer of the Original
 * Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

/*
 * ITitlesAndLabels.java
 */

package org.netbeans.orchlib.utils;

/**
 * The interface holds some constants used in the tests and in the library.
 * @author Mikhail.Kondratyev@sun.com
 */
public interface ITitlesAndLabels {
    //for creating project
    public static final String ORCH_SOA_CATEGORY = "SOA";
//    public static final String ORCH_PRJ_CATEGORY = "Service Oriented Architecture";
    public static final String ORCH_PRJ_CATEGORY = "SOA";
    public static final String ORCH_PRJ_SAMPLES_SOA_CATEGORY = "Samples|SOA";    
    public static final String ORCH_PRJ_BLUEPRINT_SAMPLES_SOA_CATEGORY = "Samples|SOA|BPEL BluePrints";
    public static final String ORCH_BPEL_PROCESS_NAME = "BPEL Process";
    public static final String ORCH_WSDL_FILE_NAME = "WSDL File";
    public static final String ORCH_PRJ_NAME = "Composite Application";
    public static final String ORCH_PRJ_MODULE_NAME = "BPEL Module";
    public static final String SWING_HTML_BROWSER = "Swing HTML Browser";
    public static final String ORCH_PRJ_SYNCH_SAMPLE_NAME = "Synchronous BPEL Process";
    public static final String ORCH_PRJ_ASYNCH_SAMPLE_NAME = "Asynchronous BPEL Process";
    public static final String ORCH_PRJ_TRS_SAMPLE_NAME = "Travel Reservation Service";
    public static final String ORCH_PRJ_BLUEPRINT1_SAMPLE_NAME = "BluePrint 1";
    public static final String ORCH_PRJ_BLUEPRINT2_SAMPLE_NAME = "BluePrint 2";
    public static final String ORCH_PRJ_BLUEPRINT3_SAMPLE_NAME = "BluePrint 3";
    public static final String ORCH_PRJ_BLUEPRINT4_SAMPLE_NAME = "BluePrint 4";
    public static final String ORCH_PRJ_BLUEPRINT5_SAMPLE_NAME = "BluePrint 5";
    
    // buttons
    public static final String BTN_FINISH = "Finish";
    public static final String BTN_CLOSE = "Close";
    public static final String BTN_OK = "OK";
    public static final String BTN_ADD = "Add";
    public static final String BTN_CLASSIC_VIEW = "Advanced Options";
    
    // main menu
    public static final String MAIN_MENU_TOOLS_OPTIONS = "Tools|Options";
    public static final String MAIN_MENU_WINDOW_RUNTIME = "Window|Runtime";
    public static final String MAIN_MENU_WINDOW_FAVORITES = "Window|Favorites";
    public static final String MAIN_MENU_WINDOW_PROJECTS = "Window|Projects";
    public static final String MAIN_MENU_WINDOW_FILES = "Window|Files";
    public static final String MAIN_MENU_WINDOW_NAVIGATOR = "Window|Navigator";
    public static final String MAIN_MENU_WINDOW_PROPERTIES = "Window|Properties";
    public static final String MAIN_MENU_WINDOW_DEBUG_THREADS = "Window|Debugging|Threads";
    public static final String MAIN_MENU_WINDOW_DEBUG_PROCESSES = "Window|Debugging|Processes";
    public static final String MAIN_MENU_WINDOW_DEBUG_SESSIONS = "Window|Debugging|Sessions";
    public static final String MAIN_MENU_WINDOW_DEBUG_SOURCES = "Window|Debugging|Sources";
    public static final String MAIN_MENU_RUN_FINISH_DEBUG = "Run|Finish Debugger Session";
    public static final String MAIN_MENU_RUN_BREAKPOINT = "Run|Toggle Breakpoint";
    public static final String MAIN_MENU_RUN_STEPOVER = "Run|Step Over";
    public static final String MAIN_MENU_RUN_STEPINTO = "Run|Step Into";
    public static final String MAIN_MENU_RUN_CONTINUE = "Run|Continue";
    
    // dialog titles
    public static final String DLG_TITLE_OPTIONS = "Options";
    public static final String DLG_TITLE_QUESTION = "Question";
    public static final String DLG_TITLE_UNEXPECTED_EXCEPTION = "Unexpected Exception";
    public static final String DLG_ADD_TO_FAVORITES = "Add to Favorites";
    
    // TAB titles
    public static final String TAB_TITLE_RUNTIME = "Runtime";
    public static final String TAB_TITLE_PROJECTS = "Projects";
    public static final String TAB_TITLE_FAVORITES = "Favorites";
    public static final String TAB_TITLE_FILES = "Files";
    public static final String TAB_TITLE_NAVIGATOR = "Navigator";
    
    //Projects tree nodes
    public static final String PR_PROCESSES = "Processes";
    
          
    // Popup items
    public static final String POPUP_PROPERTIES = "Properties";
    public static final String POPUP_RUN_TARGET = "Run Target";
    public static final String POPUP_ADD_TO_FAVORITES = "Add to Favorites...";
    
    
    //Project popup items
    public static final String PROJECT_DEPLOY = "Deploy";
    public static final String PROJECT_CLOSE = "Close";
    public static final String PROJECT_DEPLOY_APP = "Deploy Project";
    public static final String PROJECT_DEBUG = "Debug Project";
    
    //Project test run items
    public static final String PROJECT_TEST_RUN = "Run";
}
