<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:bp="http://java.sun.com/blueprints/ui/14" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
    xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:webuijsf="http://www.sun.com/webui/webuijsf">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <webuijsf:page binding="#{PluginListPage.page1}" id="page1">
            <webuijsf:html binding="#{PluginListPage.html1}" id="html1">
                <webuijsf:head binding="#{PluginListPage.head1}" id="head1" title="Plugin Portal Plugin List Page">
                    <webuijsf:link binding="#{PluginListPage.link2}" id="link2" url="resources/netbeans.css"/>
                </webuijsf:head>
                <webuijsf:body binding="#{PluginListPage.body1}" id="body1">
                    <webuijsf:form binding="#{PluginListPage.form1}" id="form1">
                        <div style="position: relative">
                            <jsp:directive.include file="Header.jspf"/>
                        </div>
                        <webuijsf:panelLayout binding="#{PluginListPage.center_container}" id="center_container" panelLayout="flow" styleClass="center-container">
                            <webuijsf:panelLayout binding="#{PluginListPage.page_border}" id="page_border" panelLayout="flow" styleClass="page-border">
                                <webuijsf:panelLayout binding="#{PluginListPage.fixed_tabs}" id="fixed_tabs" panelLayout="flow" styleClass="fixed-tabs">
                                    <webuijsf:image binding="#{PluginListPage.image1}" height="26" id="image1" styleClass="float-left"
                                        url="/resources/corner-left.png" width="11"/>
                                    <webuijsf:image binding="#{PluginListPage.image2}" id="image2" styleClass="float-right" url="/resources/corner-right.png"/>
                                    <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink1}" id="imageHyperlink1" imageURL="/resources/home-off.png" url="http://www.netbeans.org"/>
                                    <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink2}" id="imageHyperlink2"
                                        imageURL="/resources/products-off.png" url="http://www.netbeans.org/products/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink3}" id="imageHyperlink3"
                                        imageURL="/resources/catalogue-on.png" url="/faces/MainPage.jsp"/>
                                    <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink4}" id="imageHyperlink4" imageURL="/resources/kb-off2.png" url="http://www.netbeans.org/kb/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink5}" id="imageHyperlink5"
                                        imageURL="/resources/community-off.png" url="http://www.netbeans.org/community/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink6}" id="imageHyperlink6"
                                        imageURL="/resources/partners-off.png" url="http://www.netbeans.org/community/partners/index.html"/>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{PluginListPage.fixed_contentarea}" id="fixed_contentarea" panelLayout="flow" styleClass="fixed-contentarea">
                                    <webuijsf:panelLayout binding="#{PluginListPage.navig_breadcrumbs}" id="navig_breadcrumbs" panelLayout="flow" style="" styleClass="navig-breadcrumbs">
                                        <webuijsf:hyperlink binding="#{PluginListPage.hyperlink1}" id="hyperlink1" text="Home" url="http://www.netbeans.org"/>
                                        <webuijsf:staticText binding="#{PluginListPage.staticText1}" id="staticText1" text="/"/>
                                        <webuijsf:imageHyperlink binding="#{PluginListPage.imageHyperlink7}" id="imageHyperlink7" text="Plugins" url="/faces/MainPage.jsp"/>
                                        <webuijsf:panelGroup binding="#{PluginListPage.loginPanel1}" id="loginPanel1" separator="#{SessionBean1.loginSeparator}" style="left: 500px; position: relative">
                                            <webuijsf:staticText binding="#{PluginListPage.staticText2}" id="staticText2" text="Logged in:" visible="#{SessionBean1.loggedinVisible}"/>
                                            <webuijsf:hyperlink actionExpression="#{PluginListPage.currentUser_action}" binding="#{PluginListPage.currentUser1}"
                                                id="currentUser1" text="#{SessionBean1.currentUserId}" visible="#{SessionBean1.loggedinVisible}"/>
                                            <webuijsf:hyperlink actionExpression="#{PluginListPage.txtLoginLogoff_action}"
                                                binding="#{PluginListPage.txtLoginLogoff1}" id="txtLoginLogoff1" style="text-align: right" text="#{SessionBean1.loginText}"/>
                                        </webuijsf:panelGroup>
                                    </webuijsf:panelLayout>
                                    <webuijsf:panelLayout binding="#{PluginListPage.fixed_contextbox}" id="fixed_contextbox" panelLayout="flow" style="" styleClass="fixed-contentbox-ie">
                                        <h:panelGrid binding="#{PluginListPage.main_table}" columns="2" id="main_table" rowClasses="valign-top" rules="none" styleClass="f-page-table-2col full-width colapse">
                                            <webuijsf:panelLayout binding="#{PluginListPage.left_col}" id="left_col" panelLayout="flow" style="border-right: solid rgb(188, 193, 208) 2px; height: 100%;">
                                                <webuijsf:panelLayout binding="#{PluginListPage.topPanel}" id="topPanel" panelLayout="flow"
                                                    style="border-bottom: solid rgb(204, 204, 204) 1px; " styleClass="f-page-cell">
                                                    <webuijsf:markup binding="#{PluginListPage.markup1}" id="markup1" tag="p"/>
                                                    <webuijsf:staticText binding="#{PluginListPage.txtSearchCriteria}" id="txtSearchCriteria"
                                                        style="font-size: 14px; font-weight: bold" styleClass="orange" text="#{SessionBean1.currentSearchCriteria}"/>
                                                    <webuijsf:markup binding="#{PluginListPage.markup2}" id="markup2" tag="p"/>
                                                </webuijsf:panelLayout>
                                                <webuijsf:panelLayout binding="#{PluginListPage.bottomPanel1}" id="bottomPanel1" panelLayout="flow"
                                                    style="background-color: rgb(255, 255, 255); width: 500px" styleClass="f-page-cell">
                                                    <webuijsf:panelGroup binding="#{PluginListPage.orderByPanel1}" id="orderByPanel1" separator="|" styleClass="float-right">
                                                        <webuijsf:staticText binding="#{PluginListPage.staticText3}" id="staticText3" text="Order by:"/>
                                                        <webuijsf:hyperlink actionExpression="#{PluginListPage.lnkOrderByName_action}"
                                                            binding="#{PluginListPage.lnkOrderByName}" id="lnkOrderByName" text="Name"/>
                                                        <webuijsf:hyperlink actionExpression="#{PluginListPage.lnkOrderByDate_action}"
                                                            binding="#{PluginListPage.lnkOrderByDate}" id="lnkOrderByDate" text="Date"/>
                                                        <webuijsf:hyperlink actionExpression="#{PluginListPage.lnkOrderByRating_action}"
                                                            binding="#{PluginListPage.lnkOrderByRating}" id="lnkOrderByRating" text="Rating"/>
                                                        <webuijsf:hyperlink actionExpression="#{PluginListPage.lnkOrderByDownloads_action}"
                                                            binding="#{PluginListPage.lnkOrderByDownloads}" id="lnkOrderByDownloads" text="Downloads"/>
                                                    </webuijsf:panelGroup>
                                                    <webuijsf:markup binding="#{PluginListPage.markup4}" id="markup4" tag="p"/>
                                                    <webuijsf:markup binding="#{PluginListPage.markup5}" id="markup5" tag="p"/>
                                                    <webuijsf:table augmentTitle="false" binding="#{PluginListPage.table}" id="table" lite="true"
                                                        paginationControls="true" style="">
                                                        <webuijsf:tableRowGroup binding="#{PluginListPage.tableRowGroup}" id="tableRowGroup" rows="5"
                                                            sourceData="#{SessionBean1.pluginDetailsDataProvider}" sourceVar="currentRow">
                                                            <webuijsf:tableColumn binding="#{PluginListPage.tableColumn1}" id="tableColumn1">
                                                                <webuijsf:panelGroup binding="#{PluginListPage.groupPanel1}" id="groupPanel1">
                                                                    <webuijsf:panelLayout binding="#{PluginListPage.categoryDetailPanel}"
                                                                        id="categoryDetailPanel" panelLayout="flow">
                                                                        <webuijsf:markup binding="#{PluginListPage.markup15}" id="markup15" tag="p"/>
                                                                        <webuijsf:markup binding="#{PluginListPage.markup17}" id="markup17" tag="p"/>
                                                                        <h:panelGrid binding="#{PluginListPage.gridPanel2}" columns="2" id="gridPanel2">
                                                                            <webuijsf:panelLayout binding="#{PluginListPage.namePanel}" id="namePanel"
                                                                                panelLayout="flow" style="width: 300px;">
                                                                                <webuijsf:hyperlink actionExpression="#{PluginListPage.pluginNameLink_action}"
                                                                                binding="#{PluginListPage.pluginNameLink}" id="pluginNameLink"
                                                                                style="color: rgb(238, 107, 0)" styleClass="name-link"
                                                                                text="#{currentRow.value['name']}" url="#{currentRow.value['url']}"/>
                                                                            </webuijsf:panelLayout>
                                                                            <webuijsf:panelLayout binding="#{PluginListPage.ratingPanel}" id="ratingPanel" panelLayout="flow">
                                                                                <bp:rating averageGrade="#{currentRow.value['rating']}"
                                                                                averageModeText="#{currentRow.value['avgRatingText']}"
                                                                                binding="#{PluginListPage.rating2}" gradeReadOnly="true" id="rating2"
                                                                                inAverageMode="true" modeReadOnly="true" style="width 150px;"/>
                                                                            </webuijsf:panelLayout>
                                                                        </h:panelGrid>
                                                                        <webuijsf:markup binding="#{PluginListPage.markup18}" id="markup18" tag="p"/>
                                                                        <webuijsf:markup binding="#{PluginListPage.markup19}" id="markup19" tag="p"/>
                                                                        <h:panelGrid binding="#{PluginListPage.categoryDetailBottomGrid}" columns="2"
                                                                            id="categoryDetailBottomGrid" style="">
                                                                            <webuijsf:panelLayout binding="#{PluginListPage.leftPanel}" id="leftPanel"
                                                                                panelLayout="flow" style="width: 100px;">
                                                                                <webuijsf:imageHyperlink
                                                                                actionExpression="#{PluginListPage.pluginNameLink_action}"
                                                                                binding="#{PluginListPage.imageHyperlink8}" height="100"
                                                                                id="imageHyperlink8" imageURL="#{currentRow.value['image_url']}"
                                                                                url="#{currentRow.value['url']}" width="100"/>
                                                                                <webuijsf:markup binding="#{PluginListPage.markup20}" id="markup20" tag="p"/>
                                                                            </webuijsf:panelLayout>
                                                                            <webuijsf:panelLayout binding="#{PluginListPage.rightPanel}" id="rightPanel"
                                                                                panelLayout="flow" style="width: 100%;">
                                                                                <h:panelGrid binding="#{PluginListPage.gridPanel1}" columns="2" id="gridPanel1">
                                                                                <webuijsf:label binding="#{PluginListPage.label5}" id="label5"
                                                                                style="color: rgb(153, 153, 153); font-weight: normal" text="Owner:"/>
                                                                                <webuijsf:hyperlink actionExpression="#{PluginListPage.lnkAuthor_action}"
                                                                                binding="#{PluginListPage.lnkAuthor}" id="lnkAuthor"
                                                                                text="#{currentRow.value['author']}" url="#{currentRow.value['ownerUrl']}"/>
                                                                                <webuijsf:label binding="#{PluginListPage.label6}" id="label6"
                                                                                style="color: rgb(153, 153, 153); font-weight: normal" text="Downloads:"/>
                                                                                <webuijsf:staticText binding="#{PluginListPage.txtDownloads2}"
                                                                                id="txtDownloads2" text="#{currentRow.value['downloads']}"/>
                                                                                <webuijsf:label binding="#{PluginListPage.label1}" id="label1"
                                                                                style="color: rgb(153, 153, 153); font-weight: normal" text="Date Added:"/>
                                                                                <webuijsf:staticText binding="#{PluginListPage.txtDateAdded}"
                                                                                converter="#{PluginListPage.dateTimeConverter1}" id="txtDateAdded" text="#{currentRow.value['date_added']}"/>
                                                                                <webuijsf:label binding="#{PluginListPage.label3}" id="label3"
                                                                                style="color: rgb(153, 153, 153); font-weight: normal" text="Date Last Updated:"/>
                                                                                <webuijsf:staticText binding="#{PluginListPage.txtDateUpdated}"
                                                                                converter="#{PluginListPage.dateTimeConverter1}" id="txtDateUpdated" text="#{currentRow.value['date_updated']}"/>
                                                                                <webuijsf:label binding="#{PluginListPage.label2}" id="label2"
                                                                                style="color: rgb(153, 153, 153); font-weight: normal" text="Version:"/>
                                                                                <webuijsf:staticText binding="#{PluginListPage.txtVersion}" id="txtVersion" text="#{currentRow.value['version']}"/>
                                                                                </h:panelGrid>
                                                                                <webuijsf:markup binding="#{PluginListPage.markup3}" id="markup3" tag="p"/>
                                                                                <webuijsf:markup binding="#{PluginListPage.markup24}" id="markup24" tag="p"/>
                                                                                <webuijsf:staticText binding="#{PluginListPage.txtSummary2}" id="txtSummary2" text="#{currentRow.value['summary']}"/>
                                                                                <webuijsf:markup binding="#{PluginListPage.markup25}" id="markup25" tag="p"/>
                                                                                <webuijsf:hyperlink actionExpression="#{PluginListPage.pluginNameLink_action}"
                                                                                binding="#{PluginListPage.lnkReadMore}" id="lnkReadMore" text="Read More..." url="#{currentRow.value['url']}"/>
                                                                            </webuijsf:panelLayout>
                                                                        </h:panelGrid>
                                                                    </webuijsf:panelLayout>
                                                                </webuijsf:panelGroup>
                                                            </webuijsf:tableColumn>
                                                        </webuijsf:tableRowGroup>
                                                    </webuijsf:table>
                                                    <webuijsf:markup binding="#{PluginListPage.markup16}" id="markup16" tag="p"/>
                                                </webuijsf:panelLayout>
                                            </webuijsf:panelLayout>
                                            <webuijsf:panelLayout binding="#{PluginListPage.right_col1}" id="right_col1" panelLayout="flow" styleClass="rcol valign-top bg-sky">
                                                <webuijsf:panelLayout binding="#{PluginListPage.right_col_area}" id="right_col_area" panelLayout="flow" styleClass="f-page-cell">
                                                    <webuijsf:staticText binding="#{PluginListPage.staticText4}" id="staticText4"
                                                        styleClass="netbeans_h1 orange" text="Categories"/>
                                                    <webuijsf:markup binding="#{PluginListPage.markup6}" id="markup6" tag="p"/>
                                                    <webuijsf:panelLayout binding="#{PluginListPage.categoryLayout}" id="categoryLayout" panelLayout="flow"
                                                        style="" styleClass="category-layout-panel"/>
                                                    <webuijsf:markup binding="#{PluginListPage.markup7}" id="markup7" tag="p"/>
                                                    <webuijsf:imageHyperlink actionExpression="#{PluginListPage.lnkCloud_action}"
                                                        binding="#{PluginListPage.lnkCloud}" id="lnkCloud" imageURL="/resources/cloud_ctrl_display_as_cloud.png" toolTip="Show as tag cloud"/>
                                                </webuijsf:panelLayout>
                                            </webuijsf:panelLayout>
                                        </h:panelGrid>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{PluginListPage.fixed_footer}" id="fixed_footer" panelLayout="flow" styleClass="fixed-footer">
                                    <webuijsf:panelLayout binding="#{PluginListPage.footer_text1}" id="footer_text1" panelLayout="flow" styleClass="footer-text">
                                        <webuijsf:panelLayout binding="#{PluginListPage.footer_navig1}" id="footer_navig1" panelLayout="flow" styleClass="float-left">
                                            <webuijsf:staticText binding="#{PluginListPage.staticText30}" escape="false" id="staticText30" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{PluginListPage.staticText31}" escape="false" id="staticText31" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{PluginListPage.hyperlink2}" id="hyperlink2" text="Shop" url="http://www.cafeshops.com/netbeans/"/>
                                            <webuijsf:staticText binding="#{PluginListPage.staticText32}" escape="false" id="staticText32" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{PluginListPage.hyperlink3}" id="hyperlink3" text="Site Map" url="http://www.netbeans.org/download/sitemaps/www_map.html"/>
                                            <webuijsf:staticText binding="#{PluginListPage.staticText33}" escape="false" id="staticText33" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{PluginListPage.staticText34}" escape="false" id="staticText34" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{PluginListPage.hyperlink4}" id="hyperlink4" text="About Us" url="http://www.netbeans.org/about/index.html"/>
                                            <webuijsf:staticText binding="#{PluginListPage.staticText35}" escape="false" id="staticText35" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{PluginListPage.hyperlink5}" id="hyperlink5" text="Contact" url="http://www.netbeans.org/about/contact.html"/>
                                            <webuijsf:staticText binding="#{PluginListPage.staticText36}" escape="false" id="staticText36" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{PluginListPage.hyperlink6}" id="hyperlink6" text="Legal" url="http://www.netbeans.org/about/legal/index.html"/>
                                        </webuijsf:panelLayout>
                                        <webuijsf:panelLayout binding="#{PluginListPage.tof1}" id="tof1" panelLayout="flow" styleClass="tof float-right">
                                            <webuijsf:staticText binding="#{PluginListPage.staticText37}" id="staticText37" text="By use of this website, you agree to the"/>
                                            <webuijsf:hyperlink binding="#{PluginListPage.hyperlink7}" id="hyperlink7"
                                                text=" NetBeans Policies and Terms of Use" url="http://www.netbeans.org/about/legal/terms-of-use.html"/>
                                        </webuijsf:panelLayout>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                            </webuijsf:panelLayout>
                        </webuijsf:panelLayout>
                    </webuijsf:form>
                </webuijsf:body>
            </webuijsf:html>
        </webuijsf:page>
    </f:view>
    <!-- Begin SiteCatalyst code -->
    <script language="JavaScript" src="http://www.netbeans.org/images/js/s_code_remote_temp.js"></script>
    <!-- End SiteCatalyst code -->
</jsp:root>
