/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.auted;

import java.awt.Point;
import java.awt.Graphics2D;

/**
 *
 * @author  Petr Slegr
 * @version 10.04.02
 */
abstract class ConnectableGeometry extends ElementGeometry {
    
    public static final int CONNECT_POLICY_CENTERS = 1;
    
    public static final int CONNECT_POLICY_SNAPS = 2;
    
    public abstract Point[] getSnapPoints ();
    
    /**
     */
    public int getConnectPolicy () {
        return ConnectableGeometry.CONNECT_POLICY_SNAPS;
    }
    
}
