/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.debug;

import org.netbeans.modules.regsup.auted.VisualAutomatonElement;

/** Breakpoint to be set on VisualAutomatonElements.
 *
 * @author  Petr Slegr
 * @version 28.12.01
 */
public abstract class AutomatonBreakpoint extends RexBreakpoint {

    /** Creates new AutomatonBreakpoint */
    public AutomatonBreakpoint () {
    }

    /** Return element of automaton this breakpoint is on or null (e.g. for
     * some more complicated multi-element breakpoints).
     */
    public abstract VisualAutomatonElement getElement ();

}
