/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.logic.aut2expr;

import org.netbeans.modules.regsup.logic.*;
import java.util.ArrayList;
import org.netbeans.modules.regsup.logic.CompoundLogicAutomatonNode;

/**
 *
 * @author  Petr Slegr
 * @version 02.12.01
 */
public class GlobalResolveError extends DirectResolveError {
    
    /*
    LogicAutomaton cause;
     */
    
    public GlobalResolveError (String errorName /*, LogicAutomaton cause */) {
        super (errorName);
        /*
        this.cause = cause;
         */
    }
    
    /*
    public LogicAutomaton getCause () { 
        return cause;
    }
     */
    
    /**
     * @param args the command line arguments
     */
    public static void main (String args[]) {
    }
    
    ///////////////////////////////////////////////////////////////////
    
    public static class MissingStartingNode extends GlobalResolveError {
        public MissingStartingNode () {
            super ("Missing starting node"); // !! bundle
        }
    }
    
    public static class MissingFinalNode extends GlobalResolveError {
        public MissingFinalNode () {
            super ("Missing final node"); // !! bundle
        }
    }
    
    public static class TooManyStartingNodes extends GlobalResolveError {
        public TooManyStartingNodes () {
            super ("Too many of starting nodes");
        }
    }
}
